#ifndef _DOCUMENT_PROPERTIES_FORM_H_
#define _DOCUMENT_PROPERTIES_FORM_H_


#include <mforms/mforms.h>

#include "workbench/wb_context_ui.h"
#include "workbench/wb_backend_public_interface.h"

class MYSQLWBBACKEND_PUBLIC_FUNC DocumentPropertiesForm : public mforms::Form {
  
  mforms::Table _table;
  mforms::Box _bottom_box;

  std::list<mforms::View*> _widgets;

  mforms::TextEntry _entry1;
  mforms::TextEntry _entry2;
  mforms::TextEntry _entry3;
  mforms::TextEntry _entry4;
  mforms::TextEntry _entry5;
  mforms::TextEntry _entry6;
  mforms::TextBox _text;
  
  mforms::Button _ok_button;
  mforms::Button _cancel_button;
  
  wb::WBContextUI *_wbui;
  
  void add_control(const std::string &caption, mforms::View *control, bool expand= false);
  
  void ok_clicked();
  void cancel_clicked();
  
  void pull_values();
  void push_values();
  
public:
  DocumentPropertiesForm(wb::WBContextUI *wbui);
  virtual ~DocumentPropertiesForm();

  void show();
};


#endif /* _DOCUMENT_PROPERTIES_FORM_H_ */
